GET /machines/{machineSlug}/v

Path parameters

  • machineSlug string Required

    The slug/name for the machine definition.

    Minimum length is 1. Format should match the following pattern: ^[a-zA-Z0-9_-]{1,128}$.

Query parameters

  • cursor string

    A cursor returned from a previous call to /machines/{machineSlug}/v

Responses

  • 200 application/json

    The machine versions for this machine

    Hide response attributes Show response attributes object
    • versions array[object] Required
      Hide versions attributes Show versions attributes object
      • id string Required

        The ID of a machine definition version.

      • createdAt string(date-time) Required
      • clientInfo string Required
    • cursor string

      The cursor to use on the next call to retrieve the next page of machine versions. If no cursor is returned, there are no more pages to retrieve.

GET /machines/{machineSlug}/v
curl \
 --request GET 'https://api.statebacked.dev/machines/my-machine/v' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "versions": [
    {
      "id": "string",
      "createdAt": "2026-05-04T09:42:00Z",
      "clientInfo": "string"
    }
  ],
  "cursor": "string"
}